import httpRequest from '@/utils/axios'

// 获取商品详情
export function getProduct(productId) {
  return httpRequest.get(`/api/pay/v1/product/detail/${productId}`)
}

// 创建微信支付订单
export function createWxpayOrder(identity, productId, params) {
  return httpRequest.get(`/api/pay/v1/wechat/qr/${identity}/${productId}`, { params })
}

// 创建支付宝支付订单
export function createAlipayOrder(identity, productId) {
  return httpRequest.get(`/api/pay/v1/product/detail/${productId}`)
}

// 创建支付宝支付订单
export function getOrder(orderId) {
  return httpRequest.get(`/api/pay/v1/order/status/${orderId}`)
}
